changeset 332:d9c1231db77b

mod_admin_web: Make dependency fetching more reliable
author Florian Zeitz <florob@babelmonkeys.de>
date Thu, 03 Feb 2011 22:44:02 +0100
parents b8ea61f3b442
children 8821a772799a
files mod_admin_web/admin_web/get_deps.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 22:22:11 2011 +0100
+++ b/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 22:44:02 2011 +0100
@@ -2,7 +2,7 @@
 cd www_files/js
 test -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js
 test -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocweb/plain/js/adhoc.js
-test -e strophe.js || (wget --no-check-certificate https://github.com/metajack/strophejs/tarball/release-1.0.1 && \
-	tar xzf *.tar.gz && rm *.tar.gz && cd metajack-strophejs* && make strophe.js && cp strophe.js ../strophe.js && \
+test -e strophe.js || (wget --no-check-certificate -O strophe.tar.gz https://github.com/metajack/strophejs/tarball/release-1.0.1 && \
+	tar xzf strophe.tar.gz && rm strophe.tar.gz && cd metajack-strophejs-*/ && make strophe.js && cp strophe.js ../strophe.js && \
 	cd .. && rm -rf metajack-strophejs*)